Best version for server.

Discussion in 'Server & Community Management' started by Nelfis, Jul 28, 2018.

  1. Id like to know what is the best verison for server. Spigot 1.8.8 or 1.12? Or maybe not a spigot because i saw servers with Nobots things and i dont know what this even is!
     
  2. 1.12 or 1.13 for sure. 1.8 and you'll be met with "update your server" from people (me included) and plugin support will be worse.
     
    • Agree Agree x 5
  3. Gianluca

    Gianluca Retired Resource Staff
    Retired Patron

    Well, it really depends on what type of gamemode you're planning on having. If it's a competitive one with a fair few PvP elements, 1.8 may be the best fit (you can then make your server support up until the latest version, as well). However, for other gamemodes, where combat isn't an element to consider, using the latest version would be best (you can even make your server backwards compatible, so, you're running the latest version, but, allowing older clients to join).

    The only real downside with using 1.8, is that some developers on the forums have, or plan on dropping support for it in their plugins. So, you'll need to either find alternatives, or use older versions of the plugins, which may contain bugs/issues. Not to mention, that if you have an issue and come to the forums for support, you'll be hit with a lot of "upgrade your server" comments, as outlined above.
     
  4. Or you could use plugins on 1.12/1.13 to remove the PvP changes and have full support.
     
    • Agree Agree x 1
    • Optimistic Optimistic x 1
  5. Gianluca

    Gianluca Retired Resource Staff
    Retired Patron

    Not going to argue here, but, removing the cooldown is not removing the changes. The methods put in place to revert the changes aren't the same. There's a reason almost no decently sized server has upgraded.

    Anyways, in the end, it's the OPs choice of what version they choose to go with.
     
    • Agree Agree x 1
  6. Strahan

    Benefactor

    Modern Spigot is the way to go. Running old versions like 1.8 puts you at risk as there are hundreds of bugfixes that came out after 1.8. Yes, you could patch the critical ones with specifically tailored plugins, but then, it would be pretty stupid when you can do the same patching to just make 1.12/1.13 act like 1.8. Plus that way is better because it's less plugins and as new vulnerabilities are discovered in the old codebase you'd have to get new patch plugins whereas using PVP functionality plugins you install and you're done.
     
    • Agree Agree x 1
  7. Strahan

    Benefactor

    Oh, I was under the assumption functionality plugins existed to fix all the changes. Well, if not then that may change things but I still would rather not run outdated software if possible.
     
    • Like Like x 1
  8. If i want to make a Survival server with minigames, what version should I use? Also i tried usibg spigot 1.12 but it didnt allow me to join the server.
     
  9. Definately 1.12. The new survival features in 1.12 and in 1.13 will make it a lot more interesting.